For Developers

List Member Role Assignments

GET https://ed.link/api/v2/teams/:team_id/members/:member_id/assignments

Returns all role assignments held by the specified team member, including the associated team role details.

Permissions

Requires the team_role_assignments.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:member_idUUIDYesThe ID of the membership record.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/members/${member_id}/assignments`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": [
        {
            "id": "e0b5f126-7c39-4458-9419-f53eb49f4851",
            "created_date": "2026-10-01T12:00:00.000Z",
            "updated_date": "2026-10-01T12:00:00.000Z",
            "membership_id": "6a9e99a8-e165-4d0d-9b7d-6062a4be682d",
            "team_role_id": "391593c7-f439-45ff-a2b5-ffb4cc013037",
            "targets": [],
            "team_role": {
                "id": "391593c7-f439-45ff-a2b5-ffb4cc013037",
                "name": "Editor",
                "description": "Broad read and write access to team resources, without role/block administration or team create."
            }
        }
    ]
}